// file      : CCF/IDL2/SemanticAction/TypeId.hpp
// author    : Boris Kolpackov <boris@dre.vanderbilt.edu>
// cvs-id    : TypeId.hpp,v 1.1 2003/08/28 17:39:04 boris Exp

#ifndef CCF_IDL2_SEMANTIC_ACTION_TYPE_ID_HPP
#define CCF_IDL2_SEMANTIC_ACTION_TYPE_ID_HPP

#include "CCF/IDL2/SemanticAction/Elements.hpp"

namespace CCF
{
  namespace IDL2
  {
    namespace SemanticAction
    {
      //
      //
      //
      class TypeId
      {
      public:
        virtual
        ~TypeId () throw () {}

        virtual void
        begin (IdentifierPtr const& name, StringLiteralPtr const& id) = 0;

        virtual void
        end () = 0;
      };

      //
      //
      //
      class TypePrefix
      {
      public:
        virtual
        ~TypePrefix () throw () {}

        virtual void
        begin (IdentifierPtr const& name, StringLiteralPtr const& prefix) = 0;

        virtual void
        end () = 0;
      };
    }
  }
}

#endif  // CCF_IDL2_SEMANTIC_ACTION_TYPE_ID_HPP
